Package org.eclipse.m2m.atl.engine.vm

# Class AtlLauncher

java.lang.Object
org.eclipse.m2m.atl.engine.vm.AtlLauncher

public final class AtlLauncher extends Object
The ATL launcher utility.

## Method Summary

Modifier and Type
Method
Description
`static AtlLauncher`
`getDefault()`
Returns the default ATL launcher.
`Object`
`launch(URL asmurl, Map libraries, Map models, Map asmParams, List superimpose)`
Deprecated.
`Object`
`launch(URL asmurl, Map libraries, Map models, Map asmParams, List superimpose, Map options)`
New launch method.
`Object`
`launch(URL asmurl, Map libraries, Map models, Map asmParams, List superimpose, Map options, Debugger debugger)`
New launch method.
`Object`
`launch(ASM asm, Map libraries, Map models, Map asmParams, List superimpose, Map options, Debugger debugger)`
Launch method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefault

public static AtlLauncher getDefault()
Returns the default ATL launcher.

Returns:
  the default ATL launcher

### launch

public Object launch(URL asmurl, Map libraries, Map models, Map asmParams, List superimpose)
Deprecated.
Backward compatible launch method. Leaves upgrade window.

Parameters:
  `asmurl` - URL to the .asm transformation module
  `libraries` - Map of library names mapped to URLs of their .asm files
  `models` - Map of model names mapped to (input and output) ASMModels
  `asmParams` - Voodoo parameters - always use Collections.EMPTY_MAP
  `superimpose` - List of URLs to superimposed .asm transformation modules
Returns:
  the launch result

### launch

public Object launch(URL asmurl, Map libraries, Map models, Map asmParams, List superimpose, Map options)
New launch method. Not backward compatible with previous versions of ATL.

Parameters:
  `asmurl` - URL to the .asm transformation module
  `libraries` - Map of library names mapped to URLs of their .asm files
  `models` - Map of model names mapped to (input and output) ASMModels
  `asmParams` - Voodoo parameters - always use Collections.EMPTY_MAP
  `superimpose` - List of URLs to superimposed .asm transformation modules
  `options` - the options map
Returns:
  the launch result

### launch

public Object launch(URL asmurl, Map libraries, Map models, Map asmParams, List superimpose, Map options, Debugger debugger)
New launch method. Not backward compatible with previous versions of ATL.

Parameters:
  `asmurl` - URL to the .asm transformation module
  `libraries` - Map of library names mapped to URLs of their .asm files
  `models` - Map of model names mapped to (input and output) ASMModels
  `asmParams` - Voodoo parameters - always use Collections.EMPTY_MAP
  `superimpose` - List of URLs to superimposed .asm transformation modules
  `options` - the options map
  `debugger` - the used atl debugger
Returns:
  the launch result

### launch

public Object launch(ASM asm, Map libraries, Map models, Map asmParams, List superimpose, Map options, Debugger debugger)
Launch method.

Parameters:
  `asm` - asm transformation module
  `libraries` - Map of library names mapped to URLs of their .asm files
  `models` - Map of model names mapped to (input and output) ASMModels
  `asmParams` - Voodoo parameters - always use Collections.EMPTY_MAP
  `superimpose` - List of URLs to superimposed .asm transformation modules
  `options` - the options map
  `debugger` - the used atl debugger
Returns:
  the launch result